$ save_verify = 'f$verify(1)'
$!++
$!
$!  SITE_DELIVER.COM
$!
$!  This command file is used to implement the LISTSTRIP SITE delivery
$!  path for MX.
$!
$!  Inputs:
$!
$!	P1	- The ROUTE name (corresponds to /ROUTE on DEFINE PATH)
$!	P2	- Name of RFC-822 formatted file
$!	P3	- Name of RFC-822 addresses to receive file
$!	P4	- RFC-822-compliant sender's address
$!
$!  Modified by:
$!
$!  11-JAN-1998	Goatley		Initial version.
$!
$!--
$ if P1 .eqs. "LISTSTRIP" then goto do_liststrip
$ exit 1
$!
$!
$!----------------------------------
$!
$do_liststrip:
$ set noon
$ perl_exe = "WKU$ROOT:[EXE]PERL.EXE"				!LOCAL
$ perl_script = "MX_SITE_DIR:MAILSTRIP.PL"			!LOCAL
$ say := write sys$output
$ appfile = "MX_SITE_DIR:SICKTHINGS-APPROVED.DAT"		!LOCAL
$ dappfile = "MX_SITE_DIR:SICKTHINGS-DIGEST-APPROVED.DAT"	!LOCAL
$ ownfile = "MX_SITE_DIR:SICKTHINGS-OWNER.DAT"			!LOCAL
$ req_files = "''perl_exe'/''perl_script'/''appfile'/''ownfile'/''dappfile'"
$ diff := differences
$!
$ ok_list = "/GOATHUNTER@MADGOAT.COM/OWNER-SICKTHINGS@LISTS.WKU.EDU/"	!LOCAL
$!
$ valid = 1
$ count = 0
$ _dl_req_loop:
$	file = f$element(count,"/",req_files)
$	if file.eqs."/" then goto _dl_no_more_reqs
$	if f$search(file).eqs.""
$	then	say "Can't find required file ''file'"
$		valid = 0
$	endif
$	count = count + 1
$	goto _dl_req_loop
$ _dl_no_more_reqs:
$!
$ define sys$scratch mx_site_dir:
$ set def sys$scratch:
$ sender = f$edit(p4,"UPCASE")
$ pid = f$getjpi("","PID")
$ sickfile = "sys$scratch:sickthings-''pid'.tmp"		!LOCAL
$ outfile = "sys$scratch:sick1-''pid'.tmp"			!LOCAL
$ perl = "$''perl_exe'"
$ MX_SITE_IN := $MX_EXE:MX_SITE_IN.EXE
$ del := delete/nolog/noconfirm
$!
$!  See if the sender is the owner.  If so, make valid 0 so that the message
$!  is just passed on.
$!
$ sender = f$edit(p4,"UPCASE") - "<" - ">"
$ if f$locate(sender,ok_list).ne.f$length(ok_list) then valid = 0
$ if .not.valid
$ then	!Check to see if this is a digest post.  If so, use the right file!
$	open tmp 'p3'
$	read tmp line
$	close tmp
$	line = f$edit(line,"UPCASE")
$	if f$locate("SICKTHINGS-DIGEST",line).ne.f$length(line) then -	!LOCAL
		appfile = dappfile
$ endif
$!
$ if valid
$ then
$!
$!  Make a quick check to see if the full digest has been included in
$!  this post.  If so, forward it to the list owner.
$!
$	search 'p2' "End of SickThings Digest"/exact/noout		!LOCAL
$	if $status.eq.1
$	then
$		mx_site_in 'p2' 'ownfile' "''p4'"
$		goto DL_EXIT
$	endif
$	define/user sys$output 'outfile'
$	perl 'perl_script' 'p2'
$! Hack: see if the files are different.  If so, forward original to
$!       list owner
$!$	diff/nooutput 'p2' 'outfile'
$!$	if $status .eq. %x%X006C8013 then mx_site_in 'p2' 'ownfile' "''p4'"
$	mx_site_in 'outfile' 'appfile' "''p4'"
$	del 'outfile';
$ else
$	mx_site_in 'p2' 'appfile' "''p4'"
$ endif
$
$ DL_EXIT:
$ exit 1.or.f$verify(save_verify)
